import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CancelMailboxExportJobCommand, se_CancelMailboxExportJobCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class CancelMailboxExportJobCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "CancelMailboxExportJob", {})
    .n("WorkMailClient", "CancelMailboxExportJobCommand")
    .f(void 0, void 0)
    .ser(se_CancelMailboxExportJobCommand)
    .de(de_CancelMailboxExportJobCommand)
    .build() {
}
